---
title: OfflineAudioContext.suspend()
slug: Web/API/OfflineAudioContext/suspend
tags:
  - API
  - Method
  - NeedsExample
  - OfflineAudioContext
  - Reference
  - Web Audio API
  - suspend
---
<p>{{ APIRef("Web Audio API") }}</p>

<p>The <strong><code>suspend()</code></strong> method of the {{ domxref("OfflineAudioContext") }} interface schedules a suspension of the time progression in the audio context at the specified time and returns a promise. This is generally useful at the time of manipulating the audio graph synchronously on OfflineAudioContext.</p>

<p>Note that the maximum precision of suspension is the size of the render quantum and the specified suspension time will be rounded down to the nearest render quantum boundary. For this reason, it is not allowed to schedule multiple suspends at the same quantized frame. Also scheduling should be done while the context is not running to ensure the precise suspension.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">OfflineAudioContext.suspend(<em>suspendTime</em>).then(function() { ... });</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>suspendTime</dt>
 <dd>A {{jsxref("double")}} specifying the suspend time, in seconds.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref("Promise")}} resolving to void.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>The promise is rejected when any exception is encountered.</p>

<p>{{exception("InvalidStateError")}} if the quantized frame number is one of the following:</p>

<ul>
 <li>a negative number</li>
 <li>is less than or equal to the current time</li>
 <li>is greater than or equal to the total render duration</li>
 <li>is scheduled by another suspend for the same time</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-offlineaudiocontext-suspend', 'suspend()')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.OfflineAudioContext.suspend")}}</p>
</div>
